List codings¶
GET https://api.moalmanac.org/codings
Retrieves Codings from the database. Codings are representations of a concept from another website.
Parameters¶
| Name | Type | Description | Example |
|---|---|---|---|
coding_id |
string | Return only the coding with this id. |
Example request¶
curl "https://api.moalmanac.org/codings"
Response¶
Returns the standard response envelope, with data set to a list of Coding records.
Example response
{
"meta": {
"data_length": 1,
"message": "Codings retrieved successfully",
"request_url": "https://api.moalmanac.org/codings",
"status": "success",
"status_code": 200,
"timestamp_elapsed": 0.012345,
"timestamp_received": "2026-10-16T14:03:12.123456Z",
"timestamp_returned": "2026-10-16T14:03:12.135801Z",
"trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"service": {
"github": "https://github.com/vanallenlab/moalmanac-db",
"name": "Molecular Oncology Almanac",
"license": "GPL-2.0",
"release": "draft",
"url": "https://moalmanac.org",
"last_updated": "2026-10-08"
},
"data": [
{
"id": "coding:hgnc:1097",
"code": "HGNC:1097",
"system": "https://genenames.org",
"iris": [
"https://www.genenames.org/data/gene-symbol-report/#!/hgnc_id/HGNC:1097"
]
}
]
}